#include <iostream>
using namespace std;
int main(){
    int brvaga,brpitanja;
    cin>>brvaga>>brpitanja;
    int nizdole[brvaga],nizgore[brvaga];
    for(int i=0;i<brvaga;i++){
        cin>>nizdole[i]>>nizgore[i];
    }
    int a,b,pitanje,brojac=0,nizbrojac[brpitanja];
    for (int i=0;i<brpitanja;i++)
    {
        cin>>a>>b>>pitanje;
        int b1=b+1;
        while (a<b1)
        {
            a1=a-1;
            if (pitanje>=nizdole[a1]){

                if (pitanje<=nizgore[a1]){
                brojac++;
                }
            }
            
            a++;
        }
        nizbrojac[i]=brojac;
        brojac=0;
    }
    for(int i=0;i<brpitanja;i++){
        cout<<nizbrojac[i]<<endl;
    }
    
}